RFR: JDK-8200083: Bump bootjdk requirement for JDK 11 to JDK 10

Magnus Ihse Bursie magnus.ihse.bursie at oracle.com
Wed May 2 06:58:00 UTC 2018


Looks good to me. 

/Magnus

> 30 apr. 2018 kl. 17:34 skrev Erik Joelsson <erik.joelsson at oracle.com>:
> 
> Hello,
> 
> I'm re-starting this review with the original proposed patch. This changes the required boot-JDK in configure from the set "9 10 or 11" to "10 or 11". It also changes what Oracle uses in its automated build environment setup from 9 GA to 10 GA.
> 
> I do this based on the proposal [1] to retain the historical N - 1 boot-JDK policy, which has not met any objections yet.
> 
> http://cr.openjdk.java.net/~erikj/8200083/webrev.01/
> 
> /Erik
> 
> [1] http://mail.openjdk.java.net/pipermail/jdk-dev/2018-April/001075.html
> 
>> On 2018-03-21 14:51, Erik Joelsson wrote:
>> Now that JDK 10 has been officially released we can update the boot jdk requirement for JDK 11. Cross posting this to jdk-dev to raise awareness of this rather disruptive change.
>> 
>> This patch changes the requirement on boot jdk version in configure (and updates the configuration that controls what JDK to use as boot in Oracle's internal build system).
>> 
>> Webrev: http://cr.openjdk.java.net/~erikj/8200083/webrev.01/
>> 
>> Bug: https://bugs.openjdk.java.net/browse/JDK-8200083
>> 
>> /Erik
> 



More information about the build-dev mailing list